Exponential 6.0.13 Exponential Enterprise Open Source CMS - PHP Class Reference

ezcache.php
Go to the documentation of this file.
1 <?php
21 class eZCache
22 {
28 static function fetchList()
29 {
30 static $cacheList = null;
31 if ( $cacheList === null )
32 {
33 $ini = eZINI::instance();
34 $textToImageIni = eZINI::instance( 'texttoimage.ini' );
35 $cacheList = array( array( 'name' => ezpI18n::tr( 'kernel/cache', 'Content view cache' ),
36 'id' => 'content',
37 'is-clustered' => true,
38 'tag' => array( 'content' ),
39 'expiry-key' => 'content-view-cache',
40 'enabled' => $ini->variable( 'ContentSettings', 'ViewCaching' ) == 'enabled',
41 'path' => $ini->variable( 'ContentSettings', 'CacheDir' ),
42 'function' => array( 'eZCache', 'clearContentCache' ) ),
43 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Global INI cache' ),
44 'id' => 'global_ini',
45 'tag' => array( 'ini' ),
46 'enabled' => true,
47 'path' => 'var/cache/ini',
48 'function' => array( 'eZCache', 'clearGlobalINICache' ),
49 'purge-function' => array( 'eZCache', 'clearGlobalINICache' ) ),
50 array( 'name' => ezpI18n::tr( 'kernel/cache', 'INI cache' ),
51 'id' => 'ini',
52 'tag' => array( 'ini' ),
53 'enabled' => true,
54 'path' => 'ini' ),
55 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Codepage cache' ),
56 'id' => 'codepage',
57 'tag' => array( 'codepage' ),
58 'enabled' => true,
59 'path' => 'codepages' ),
60 /* Entry is disabled since it does not make sense to remove it, it is not a cache file.
61 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Expiry cache' ),
62 'id' => 'expiry',
63 'tag' => array( 'content', 'template' ),
64 'enabled' => true,
65 'path' => 'expiry.php',
66 'function' => array( 'eZCache', 'clearExpiry' ) ),*/
67 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Class identifier cache' ),
68 'id' => 'classid',
69 'tag' => array( 'content' ),
70 'expiry-key' => 'class-identifier-cache',
71 'enabled' => true,
72 'path' => false,
73 'is-clustered' => true,
74 'function' => array( 'eZCache', 'clearClassID' ),
75 'purge-function' => array( 'eZCache', 'clearClassID' ) ),
76 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Sort key cache' ),
77 'id' => 'sortkey',
78 'tag' => array( 'content' ),
79 'expiry-key' => 'sort-key-cache',
80 'enabled' => true,
81 'path' => false,
82 'function' => array( 'eZCache', 'clearSortKey' ),
83 'purge-function' => array( 'eZCache', 'clearSortKey' ),
84 'is-clustered' => true ),
85 array( 'name' => ezpI18n::tr( 'kernel/cache', 'URL alias cache' ),
86 'id' => 'urlalias',
87 'is-clustered' => true,
88 'tag' => array( 'content' ),
89 'enabled' => true,
90 'path' => 'wildcard' ),
91 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Character transformation cache' ),
92 'id' => 'chartrans',
93 'tag' => array( 'i18n' ),
94 'enabled' => true,
95 'path' => 'trans' ),
96 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Image alias' ),
97 'id' => 'imagealias',
98 'tag' => array( 'image' ),
99 'path' => false,
100 'enabled' => true,
101 'function' => array( 'eZCache', 'clearImageAlias' ),
102 'purge-function' => array( 'eZCache', 'purgeImageAlias' ),
103 'is-clustered' => true ),
104 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Template cache' ),
105 'id' => 'template',
106 'tag' => array( 'template' ),
107 'enabled' => $ini->variable( 'TemplateSettings', 'TemplateCompile' ) == 'enabled',
108 'path' => 'template',
109 'function' => array( 'eZCache', 'clearTemplateCompileCache' ),
110 'purge-function' => array( 'eZCache', 'clearTemplateCompileCache' ) ),
111 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Template block cache' ),
112 'id' => 'template-block',
113 'is-clustered' => true,
114 'tag' => array( 'template', 'content' ),
115 'expiry-key' => 'global-template-block-cache',
116 'enabled' => $ini->variable( 'TemplateSettings', 'TemplateCache' ) == 'enabled',
117 'path' => 'template-block',
118 'function' => array( 'eZCache', 'clearTemplateBlockCache' ) ),
119 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Template override cache' ),
120 'id' => 'template-override',
121 'tag' => array( 'template' ),
122 'enabled' => true,
123 'path' => 'override',
124 'function' => array( 'eZCache', 'clearTemplateOverrideCache' ) ),
125 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Text to image cache' ),
126 'id' => 'texttoimage',
127 'tag' => array( 'template' ),
128 'enabled' => $textToImageIni->variable( 'ImageSettings', 'UseCache' ) == 'enabled',
129 'path' => $textToImageIni->variable( 'PathSettings', 'CacheDir' ),
130 'function' => array( 'eZCache', 'clearTextToImageCache' ),
131 'purge-function' => array( 'eZCache', 'purgeTextToImageCache' ),
132 'is-clustered' => true ),
133 array( 'name' => ezpI18n::tr( 'kernel/cache', 'RSS cache' ),
134 'id' => 'rss_cache',
135 'is-clustered' => true,
136 'tag' => array( 'content' ),
137 'enabled' => true,
138 'path' => 'rss' ),
139 array( 'name' => ezpI18n::tr( 'kernel/cache', 'User info cache' ),
140 'id' => 'user_info_cache',
141 'is-clustered' => true,
142 'tag' => array( 'user' ),
143 'expiry-key' => 'user-info-cache',
144 'enabled' => true,
145 'path' => 'user-info',
146 'function' => array( 'eZCache', 'clearUserInfoCache' ) ),
147 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Content tree menu (browser cache)' ),
148 'id' => 'content_tree_menu',
149 'tag' => array( 'content' ),
150 'path' => false,
151 'enabled' => true,
152 'function' => array( 'eZCache', 'clearContentTreeMenu' ),
153 'purge-function' => array( 'eZCache', 'clearContentTreeMenu' ) ),
154 array( 'name' => ezpI18n::tr( 'kernel/cache', 'State limitations cache' ),
155 'is-clustered' => true,
156 'id' => 'state_limitations',
157 'tag' => array( 'content' ),
158 'expiry-key' => 'state-limitations',
159 'enabled' => true,
160 'path' => false,
161 'function' => array( 'eZCache', 'clearStateLimitations' ),
162 'purge-function' => array( 'eZCache', 'clearStateLimitations' ) ),
163 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Content Language cache' ),
164 'is-clustered' => true,
165 'id' => 'content_language',
166 'tag' => array( 'content' ),
167 'enabled' => true,
168 'path' => false,
169 'function' => array( 'eZContentLanguage', 'expireCache' ),
170 'purge-function' => array( 'eZContentLanguage', 'expireCache' ) ),
171 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Design base cache' ),
172 'id' => 'design_base',
173 'tag' => array( 'template' ),
174 'enabled' => $ini->variable( 'DesignSettings', 'DesignLocationCache' ) == 'enabled',
175 'path' => false,
176 'function' => array( 'eZCache', 'clearDesignBaseCache' ),
177 'purge-function' => array( 'eZCache', 'clearDesignBaseCache' ) ),
182 array( 'name' => ezpI18n::tr( 'kernel/cache', 'Active extensions cache' ),
183 'id' => 'active_extensions',
184 'tag' => array( 'ini' ),
185 'expiry-key' => 'active-extensions-cache',
186 'enabled' => true,
187 'path' => false,
188 'function' => array( 'eZCache', 'clearActiveExtensions' ),
189 'purge-function' => array( 'eZCache', 'clearActiveExtensions' ) ),
190
191 array( 'name' => ezpI18n::tr( 'kernel/cache', 'TS Translation cache' ),
192 'id' => 'translation',
193 'tag' => array( 'i18n' ),
194 'enabled' => true,
195 'expiry-key' => 'ts-translation-cache',
196 'path' => 'translation',
197 'function' => array( 'eZCache', 'clearTSTranslationCache' )
198 ),
199 array( 'name' => ezpI18n::tr( 'kernel/cache', 'SSL Zones cache' ),
200 'id' => 'sslzones',
201 'tag' => array( 'ini' ),
202 'enabled' => eZSSLZone::enabled(),
203 'path' => false,
204 'function' => array( 'eZSSLZone', 'clearCache' ),
205 'purge-function' => array( 'eZSSLZone', 'clearCache' )
206 ),
207 );
208
209 // Append cache items defined (in ini) by extensions, see site.ini[Cache] for details
210 foreach ( $ini->variable( 'Cache', 'CacheItems' ) as $cacheItemKey )
211 {
212 $name = 'Cache_' . $cacheItemKey;
213 if ( !$ini->hasSection( $name ) )
214 {
215 eZDebug::writeWarning( "Missing site.ini section: '$name', skipping!", __METHOD__ );
216 continue;
217 }
218
219 $cacheItem = array();
220 if ( $ini->hasVariable( $name, 'name' ) )
221 $cacheItem['name'] = $ini->variable( $name, 'name' );
222 else
223 $cacheItem['name'] = ucwords( $cacheItemKey );
224
225 if ( $ini->hasVariable( $name, 'id' ) )
226 $cacheItem['id'] = $ini->variable( $name, 'id' );
227 else
228 $cacheItem['id'] = $cacheItemKey;
229
230 if ( $ini->hasVariable( $name, 'isClustered' ) )
231 $cacheItem['is-clustered'] = $ini->variable( $name, 'isClustered' );
232 else
233 $cacheItem['is-clustered'] = false;
234
235 if ( $ini->hasVariable( $name, 'tags' ) )
236 $cacheItem['tag'] = $ini->variable( $name, 'tags' );
237 else
238 $cacheItem['tag'] = array();
239
240 if ( $ini->hasVariable( $name, 'expiryKey' ) )
241 $cacheItem['expiry-key'] = $ini->variable( $name, 'expiryKey' );
242
243 if ( $ini->hasVariable( $name, 'enabled' ) )
244 $cacheItem['enabled'] = $ini->variable( $name, 'enabled' );
245 else
246 $cacheItem['enabled'] = true;
247
248 if ( $ini->hasVariable( $name, 'path' ) )
249 $cacheItem['path'] = $ini->variable( $name, 'path' );
250 else
251 $cacheItem['path'] = false;
252
253 if ( $ini->hasVariable( $name, 'class' ) )
254 $cacheItem['function'] = array( $ini->variable( $name, 'class' ), 'clearCache' );
255
256 if ( $ini->hasVariable( $name, 'purgeClass' ) )
257 $cacheItem['purge-function'] = array( $ini->variable( $name, 'purgeClass' ), 'purgeCache' );
258
259 $cacheList[] = $cacheItem;
260 }
261 }
262 return $cacheList;
263 }
264
273 static function fetchTagList( $cacheInfoList = false )
274 {
275 if ( !$cacheInfoList )
276 $cacheInfoList = eZCache::fetchList();
277
278 $tagEntries = array();
279 foreach ( $cacheInfoList as $cacheInfo )
280 {
281 $tagList = $cacheInfo['tag'];
282 if ( $tagList !== false )
283 $tagEntries = array_merge( $tagEntries, $tagList );
284 }
285 return array_unique( $tagEntries );
286 }
287
296 static function fetchIDList( $cacheInfoList = false )
297 {
298 if ( !$cacheInfoList )
299 $cacheInfoList = eZCache::fetchList();
300
301 $idList = array();
302 foreach ( $cacheInfoList as $cacheInfo )
303 {
304 $idList[] = $cacheInfo['id'];
305 }
306 return $idList;
307 }
308
316 static function fetchByTag( $tagName, $cacheInfoList = false )
317 {
318 if ( !$cacheInfoList )
319 $cacheInfoList = eZCache::fetchList();
320
321 $cacheEntries = array();
322 $tagList = explode( ',', $tagName );
323 foreach ( $cacheInfoList as $cacheInfo )
324 {
325 if ( !is_array( $cacheInfo['tag'] ) )
326 continue;
327
328 $matchingTags = array_intersect( $tagList, $cacheInfo['tag'] );
329 if ( !empty( $matchingTags ) )
330 $cacheEntries[] = $cacheInfo;
331 }
332
333 return $cacheEntries;
334 }
335
343 static function fetchByID( $id, $cacheInfoList = false )
344 {
345 if ( !$cacheInfoList )
346 $cacheInfoList = eZCache::fetchList();
347
348 foreach ( $cacheInfoList as $cacheInfo )
349 {
350 if ( $cacheInfo['id'] == $id )
351 return $cacheInfo;
352 }
353 return false;
354 }
355
363 static function fetchByIDList( $idList, $cacheInfoList = false )
364 {
365 if ( !$cacheInfoList )
366 $cacheInfoList = eZCache::fetchList();
367
368 $cacheList = array();
369 foreach ( $cacheInfoList as $cacheInfo )
370 {
371 if ( in_array( $cacheInfo['id'], $idList ) )
372 $cacheList[] = $cacheInfo;
373 }
374 return $cacheList;
375 }
376
383 static function clearAll( $cacheList = false )
384 {
385 if ( !$cacheList )
386 $cacheList = eZCache::fetchList();
387
388 foreach ( $cacheList as $cacheItem )
389 {
390 eZCache::clearItem( $cacheItem );
391 }
392 return true;
393 }
394
401 static function clearByTag( $tagName, $cacheList = false )
402 {
403 if ( !$cacheList )
404 $cacheList = eZCache::fetchList();
405
406 $cacheItems = array();
407 foreach ( $cacheList as $cacheItem )
408 {
409 if ( in_array( $tagName, $cacheItem['tag'] ) )
410 $cacheItems[] = $cacheItem;
411 }
412 foreach ( $cacheItems as $cacheItem )
413 {
414 eZCache::clearItem( $cacheItem );
415 }
416 return true;
417 }
418
426 static function clearByID( $idList, $cacheList = false )
427 {
428 if ( !$cacheList )
429 $cacheList = eZCache::fetchList();
430
431 $cacheItems = array();
432 if ( !is_array( $idList ) )
433 $idList = array( $idList );
434 foreach ( $cacheList as $cacheItem )
435 {
436 if ( in_array( $cacheItem['id'], $idList ) )
437 $cacheItems[] = $cacheItem;
438 }
439 foreach ( $cacheItems as $cacheItem )
440 {
441 eZCache::clearItem( $cacheItem );
442 }
443 return true;
444 }
445
461 static function clearItem( $cacheItem, $purge = false, $reporter = false, $iterationSleep = false, $iterationMax = false, $expiry = false )
462 {
463 // Get the global expiry value if one is set and compare it with supplied $expiry value.
464 // Use the largest value of the two.
465 if ( isset( $cacheItem['expiry-key'] ) )
466 {
467 $key = $cacheItem['expiry-key'];
468 $expiryHandler = eZExpiryHandler::instance();
469 $keyValue = $expiryHandler->getTimestamp( $key );
470 if ( $keyValue !== false )
471 {
472 if ( $expiry !== false )
473 $expiry = max( $expiry, $keyValue );
474 else
475 $expiry = $keyValue;
476 }
477 }
478
479 $cacheItem['purge'] = $purge;
480 $cacheItem['reporter'] = $reporter;
481 $cacheItem['iterationSleep'] = $iterationSleep;
482 $cacheItem['iterationMax'] = $iterationMax;
483 $cacheItem['expiry'] = $expiry;
484 $functionName = false;
485 if ( $purge && isset( $cacheItem['purge-function'] ) )
486 $functionName = 'purge-function';
487 else if ( !$purge && isset( $cacheItem['function'] ) )
488 $functionName = 'function';
489 if ( $functionName )
490 {
491 $function = $cacheItem[$functionName];
492 if ( is_callable( $function ) )
493 call_user_func_array( $function, array( $cacheItem ) );
494 else
495 eZDebug::writeError("Could not call cache item $functionName for id '$cacheItem[id]', is it a static public function?", __METHOD__ );
496 }
497 else
498 {
499 if ( !isset( $cacheItem['path'] ) || strlen( $cacheItem['path'] ) < 1 )
500 {
501 eZDebug::writeError( "No path specified for cache item '$cacheItem[name]', can not clear cache.", __METHOD__ );
502 return;
503 }
504
505 $cachePath = eZSys::cacheDirectory() . "/" . $cacheItem['path'];
506
507 if ( isset( $cacheItem['is-clustered'] ) )
508 $isClustered = $cacheItem['is-clustered'];
509 else
510 $isClustered = false;
511
512 if ( $isClustered )
513 {
514 $fileHandler = eZClusterFileHandler::instance( $cachePath );
515 if ( $purge )
516 $fileHandler->purge( $reporter, $iterationSleep, $iterationMax, $expiry );
517 else
518 $fileHandler->delete();
519 return;
520 }
521
522 if ( !file_exists( $cachePath ) )
523 {
524 return;
525 }
526
527 if ( is_file( $cachePath ) )
528 {
529 $handler = eZFileHandler::instance( false );
530 $handler->unlink( $cachePath );
531 }
532 else
533 {
534 eZDir::recursiveDelete( $cachePath );
535 }
536 }
537 }
538
543 static function clearImageAlias( $cacheItem )
544 {
545 $expiryHandler = eZExpiryHandler::instance();
546 $expiryHandler->setTimestamp( 'image-manager-alias', time() );
547 $expiryHandler->store();
548 ezpEvent::getInstance()->notify( 'image/invalidateAliases' );
549 }
550
558 static function purgeImageAlias( $cacheItem )
559 {
560 // 1. fetch ezcontentclass having an ezimage attribute
561 // 2. fetch objects of these classes
562 // 3. purge image alias for all version
563
564 $imageContentClassAttributes = eZContentClassAttribute::fetchList(
565 true,
566 array(
567 'data_type' => 'ezimage',
568 'version' => eZContentClass::VERSION_STATUS_DEFINED
569 )
570 );
571 $classIds = array();
572 $attributeIdentifiersByClass = array();
573 foreach ( $imageContentClassAttributes as $ccAttr )
574 {
575 $identifier = $ccAttr->attribute( 'identifier' );
576 $ccId = $ccAttr->attribute( 'contentclass_id' );
577 if ( !isset( $attributeIdentifiersByClass[$ccId] ) )
578 {
579 $attributeIdentifiersByClass[$ccId] = array();
580 }
581 $attributeIdentifiersByClass[$ccId][] = $identifier;
582 $classIds[] = $ccId;
583
584 }
585
586 $subTreeParams = array(
587 'ClassFilterType' => 'include',
588 'ClassFilterArray' => $classIds,
589 'MainNodeOnly' => true,
590 'IgnoreVisibility' => true,
591 'LoadDataMap' => false,
592 'Limit' => 100,
593 'Offset' => 0
594 );
595 $count = 0;
596 while ( true )
597 {
598 $nodes = eZContentObjectTreeNode::subTreeByNodeID( $subTreeParams, 1 );
599 if ( empty( $nodes ) )
600 {
601 break;
602 }
603 foreach ( $nodes as $node )
604 {
605 call_user_func( $cacheItem['reporter'], '', $count );
606 $object = $node->attribute( 'object' );
607 self::purgeImageAliasForObject(
608 $cacheItem, $object, $attributeIdentifiersByClass[$object->attribute( 'contentclass_id' )]
609 );
610 $count++;
611 }
612 eZContentObject::clearCache();
613 $subTreeParams['Offset'] += $subTreeParams['Limit'];
614 }
615 self::clearImageAlias( $cacheItem );
616 }
617
625 private static function purgeImageAliasForObject( array $cacheItem, eZContentObject $object, array $imageIdentifiers )
626 {
627 $versions = $object->attribute( 'versions' );
628 foreach ( $versions as $version )
629 {
630 $dataMap = $version->attribute( 'data_map' );
631 foreach ( $imageIdentifiers as $identifier )
632 {
633 $attr = $dataMap[$identifier];
634 if ( !$attr instanceof eZContentObjectAttribute )
635 {
636 eZDebug::writeError( "Missing attribute $identifier in object " . $object->attribute( 'id' ) . ", version " . $version->attribute( 'version' ) . ". This indicates data corruption.", __METHOD__ );
637 }
638 elseif ( $attr->attribute( 'has_content' ) )
639 {
640 $attr->attribute( 'content' )->purgeAllAliases();
641 }
642 }
643 }
644 }
645
652 static function clearContentTreeMenu( $cacheItem )
653 {
654 $expiryHandler = eZExpiryHandler::instance();
655 $expiryHandler->setTimestamp( 'content-tree-menu', time() );
656 $expiryHandler->store();
657 }
658
662 static function clearTemplateBlockCache( $cacheItem )
663 {
664 $expiryHandler = eZExpiryHandler::instance();
665 $expiryHandler->setTimestamp( 'global-template-block-cache', time() );
666 $expiryHandler->store();
667 }
668
675 static function clearTemplateOverrideCache( $cacheItem )
676 {
677 $cachePath = eZSys::cacheDirectory() . '/' . $cacheItem['path'];
678 eZDir::recursiveDelete( $cachePath );
679 eZTemplateDesignResource::clearInMemoryOverrideArray();
680 }
681
685 static function clearClassID( $cacheItem )
686 {
687 $cachePath = eZSys::cacheDirectory();
688
689 $fileHandler = eZClusterFileHandler::instance();
690 $fileHandler->fileDelete( $cachePath, 'classidentifiers_' );
691 $fileHandler->fileDelete( $cachePath, 'classattributeidentifiers_' );
692 eZContentClass::expireCache();
693 ezpEvent::getInstance()->notify( 'content/class/cache/all' );
694 }
695
699 static function clearSortKey( $cacheItem )
700 {
701 $cachePath = eZSys::cacheDirectory();
702
703 $fileHandler = eZClusterFileHandler::instance();
704 $fileHandler->fileDelete( $cachePath, 'sortkey_' );
705 }
706
710 static function clearUserInfoCache( $cacheItem )
711 {
712 $handler = eZExpiryHandler::instance();
713 $handler->setTimestamp( 'user-info-cache', time() );
714 $handler->store();
715 ezpEvent::getInstance()->notify( 'user/cache/all' );
716 }
717
721 static function clearContentCache( $cacheItem )
722 {
723 $handler = eZExpiryHandler::instance();
724 $handler->setTimestamp( 'content-view-cache', time() );
725 $handler->store();
726 ezpEvent::getInstance()->notify( 'content/cache/all' );
727 }
728
732 static function clearGlobalINICache( $cacheItem )
733 {
734 eZDir::recursiveDelete( $cacheItem['path'] );
735 }
736
740 static function clearTemplateCompileCache()
741 {
742 eZDir::recursiveDelete( eZTemplateCompiler::compilationDirectory() );
743 }
744
748 static function clearTextToImageCache( $cacheItem )
749 {
750 $fileHandler = eZClusterFileHandler::instance( $cacheItem['path'] );
751 $fileHandler->delete();
752 }
753
757 static function purgeTextToImageCache( $cacheItem )
758 {
759 $fileHandler = eZClusterFileHandler::instance( $cacheItem['path'] );
760 $fileHandler->purge();
761 }
762
766 static function clearStateLimitations( $cacheItem )
767 {
768 $cachePath = eZSys::cacheDirectory();
769
770 $fileHandler = eZClusterFileHandler::instance();
771 $fileHandler->fileDelete( $cachePath, 'statelimitations_' );
772 ezpEvent::getInstance()->notify( 'content/state/cache/all' );
773 }
774
778 static function clearActiveExtensions( $cacheItem )
779 {
780 $handler = eZExpiryHandler::instance();
781 $handler->setTimestamp( $cacheItem['expiry-key'], time() );
782 $handler->store();
783
784 eZExtension::clearActiveExtensionsCache();
785 eZExtension::clearActiveExtensionsMemoryCache();
786 }
787
793 public static function clearDesignBaseCache( $cacheItem )
794 {
795 eZClusterFileHandler::instance()->fileDelete(
796 eZSys::cacheDirectory(),
797 eZTemplateDesignResource::DESIGN_BASE_CACHE_NAME
798 );
799 }
800
806 public static function clearTSTranslationCache( $cacheItem )
807 {
808 eZTSTranslator::expireCache();
809 }
810 }
eZCache
Definition: ezcache.php:22
eZCache\clearStateLimitations
static clearStateLimitations( $cacheItem)
Definition: ezcache.php:766
eZCache\clearDesignBaseCache
static clearDesignBaseCache( $cacheItem)
Definition: ezcache.php:793
eZCache\clearImageAlias
static clearImageAlias( $cacheItem)
Definition: ezcache.php:543
eZCache\purgeTextToImageCache
static purgeTextToImageCache( $cacheItem)
Definition: ezcache.php:757
eZCache\clearTemplateBlockCache
static clearTemplateBlockCache( $cacheItem)
Definition: ezcache.php:662
eZCache\clearTSTranslationCache
static clearTSTranslationCache( $cacheItem)
Definition: ezcache.php:806
eZCache\clearContentTreeMenu
static clearContentTreeMenu( $cacheItem)
Definition: ezcache.php:652
eZCache\purgeImageAliasForObject
static purgeImageAliasForObject(array $cacheItem, eZContentObject $object, array $imageIdentifiers)
Definition: ezcache.php:625
eZCache\clearItem
static clearItem( $cacheItem, $purge=false, $reporter=false, $iterationSleep=false, $iterationMax=false, $expiry=false)
Definition: ezcache.php:461
eZCache\clearAll
static clearAll( $cacheList=false)
Definition: ezcache.php:383
eZCache\clearByTag
static clearByTag( $tagName, $cacheList=false)
Definition: ezcache.php:401
eZCache\clearTemplateCompileCache
static clearTemplateCompileCache()
Definition: ezcache.php:740
eZCache\fetchList
static fetchList()
Definition: ezcache.php:28
eZCache\fetchByID
static fetchByID( $id, $cacheInfoList=false)
Definition: ezcache.php:343
eZCache\purgeImageAlias
static purgeImageAlias( $cacheItem)
Definition: ezcache.php:558
eZCache\clearTextToImageCache
static clearTextToImageCache( $cacheItem)
Definition: ezcache.php:748
eZCache\clearSortKey
static clearSortKey( $cacheItem)
Definition: ezcache.php:699
eZCache\fetchByIDList
static fetchByIDList( $idList, $cacheInfoList=false)
Definition: ezcache.php:363
eZCache\fetchTagList
static fetchTagList( $cacheInfoList=false)
Definition: ezcache.php:273
eZCache\clearTemplateOverrideCache
static clearTemplateOverrideCache( $cacheItem)
Definition: ezcache.php:675
eZCache\clearUserInfoCache
static clearUserInfoCache( $cacheItem)
Definition: ezcache.php:710
eZCache\clearGlobalINICache
static clearGlobalINICache( $cacheItem)
Definition: ezcache.php:732
eZCache\clearContentCache
static clearContentCache( $cacheItem)
Definition: ezcache.php:721
eZCache\clearByID
static clearByID( $idList, $cacheList=false)
Definition: ezcache.php:426
eZCache\clearClassID
static clearClassID( $cacheItem)
Definition: ezcache.php:685
eZCache\fetchByTag
static fetchByTag( $tagName, $cacheInfoList=false)
Definition: ezcache.php:316
eZCache\clearActiveExtensions
static clearActiveExtensions( $cacheItem)
Definition: ezcache.php:778
eZCache\fetchIDList
static fetchIDList( $cacheInfoList=false)
Definition: ezcache.php:296
eZClusterFileHandler\instance
static instance( $filename=false)
Definition: ezclusterfilehandler.php:21
eZContentClassAttribute\fetchList
static fetchList( $asObject=true, $parameters=array())
Definition: ezcontentclassattribute.php:403
eZContentClass\VERSION_STATUS_DEFINED
const VERSION_STATUS_DEFINED
Definition: ezcontentclass.php:22
eZContentClass\expireCache
static expireCache()
Definition: ezcontentclass.php:1912
eZContentObjectAttribute
Encapsulates the data for an object attribute.
Definition: ezcontentobjectattribute.php:20
eZContentObjectTreeNode\subTreeByNodeID
static subTreeByNodeID( $params=false, $nodeID=0)
Definition: ezcontentobjecttreenode.php:1940
eZContentObject
Definition: ezcontentobject.php:17
eZContentObject\clearCache
static clearCache( $idArray=array())
Definition: ezcontentobject.php:284
eZDebug\writeError
static writeError( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:545
eZDebug\writeWarning
static writeWarning( $string, $label="", $backgroundClass="")
Definition: ezdebug.php:502
eZDir\recursiveDelete
static recursiveDelete( $dir, $rootCheck=true)
Definition: ezdir.php:264
eZExtension\clearActiveExtensionsMemoryCache
static clearActiveExtensionsMemoryCache()
Definition: ezextension.php:639
eZExtension\clearActiveExtensionsCache
static clearActiveExtensionsCache()
Definition: ezextension.php:648
eZFileHandler\instance
static instance( $identifier, $filename=false, $mode=false, $binaryFile=true)
Definition: ezfilehandler.php:1017
eZPersistentObject\attribute
attribute( $attr, $noFunction=false)
Definition: ezpersistentobject.php:1329
eZSys\cacheDirectory
static cacheDirectory()
Definition: ezsys.php:527
eZTSTranslator\expireCache
static expireCache( $timestamp=false, $locale=null)
Definition: eztstranslator.php:733
eZTemplateCompiler\compilationDirectory
static compilationDirectory()
Definition: eztemplatecompiler.php:277
eZTemplateDesignResource\DESIGN_BASE_CACHE_NAME
const DESIGN_BASE_CACHE_NAME
Definition: eztemplatedesignresource.php:19
eZTemplateDesignResource\clearInMemoryOverrideArray
static clearInMemoryOverrideArray()
Definition: eztemplatedesignresource.php:936
ezpI18n\tr
static tr( $context, $source, $comment=null, $arguments=null)
Definition: ezpi18n.php:86
Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.